/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.NodoDAO;
import com.rjconsultores.ventaboletos.entidad.Nodo;
import com.rjconsultores.ventaboletos.service.NodoService;

/**
 *
 * @author Administrador
 */
@Service("nodoService")
public class NodoServiceImpl implements NodoService {

    @Autowired
    private NodoDAO nodoDAO;

    public List<Nodo> obtenerTodos() {
    	//No momento só será usado o nodo central
    	List<Nodo> ls = new ArrayList<Nodo>();
    	ls.add(nodoDAO.obtenerID(Nodo.NODO_ID_CENTRAL));
    	
        return ls;
    }

	@Override
	public Nodo obtenerId(Integer id) {
		return nodoDAO.obtenerID(id);
	}

}
